Bug 502412 - Postfix MySQL map support
Postfix MySQL map support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: postfix (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 21:51 EDT by Dan H
Modified: 2013-01-08 02:27 EST (History)
14 users (show)

See Also:
Fixed In Version: postfix-2.3.3-5.el5
Doc Type: Enhancement
Doc Text:
Prior to this update MySQL support was not included in postfix. Now the support is included.
Story Points: ---
Clone Of: 293251
Environment:
Last Closed: 2013-01-08 02:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan H 2009-05-24 21:51:27 EDT
+++ This bug was initially created as a clone of Bug #293251 +++

(Cloning to RHEL5, issue still current in RHEL5.3)

+++ This bug was initially created as a clone of Bug #185515 +++

Description of problem: Postfix cannot use MySQL maps


Version-Release number of selected component (if applicable):


How reproducible: postconf -m lacks mysql map type


Steps to Reproduce:
1. yum install postfix
2. /usr/sbin/postconf -m
3.
  
Actual results:


Expected results:


Additional info:

It would be very useful to have MySQL maps support by default; I need to add it
by recompiling the SRPM and this requires periodic checking for updates or
security fixes (MySQL maps are especially useful with Cyrus IMAP configurations).
The added dependency requirements (libmysql and mysql) should not be a relevant
problem (dovecot already has tle libmysql dependency).

-- Additional comment from eric@brouhaha.com on 2006-05-23 19:03 EST --
I agree that MySQL support should be compiled into the standard RPMs.  This is
quite useful for sites supporting virtual domains or many aliases.

The required mysql packages (not including the mysql server itself, which is not
requires) are small enough that this should not be a problem for customers not
using the feature.


-- Additional comment from stefano@cavallari.cjb.net on 2006-05-29 12:37 EST --
I agree too. Postfix is almost useless in many environments without this.

PS: please change the version to fc5, as the bug is still here

-- Additional comment from eric@brouhaha.com on 2006-08-02 19:00 EST --
Thomas, I've looked at your comments on earlier Postfix/MySQL requests.  I
strongly disagree with the notion that it would be a problem for users to have
to "install" MySQL to use Postfix.  It only requires the base mysql package, not
the actual mysql server.  The base mysql package is quite small (about 5MB, vs.
23MB for the server), and does not require any configuration, so Anaconda or RPM
would install it automatically and the user wouldn't have to do anything.

Please give this more serious consideration.  I'm fairly sure that your
enterprise customers would want MySQL support if they're using Postfix, and
there's almost no downside to enabling it in Fedora.


-- Additional comment from nerijus@users.sourceforge.net on 2006-08-31 07:23 EST --
Yes, please add mysql support. As Eric said, it does not require mysql server 
to be installed, only mysql, which usually is installed because lots of other 
packages depend on it. Besides, dovecot already includes mysql support and 
postfix includes ldap support.

I think more people will be happy than unhappy if you do it.

For now I have to recompile postfix on RHEL when update is released.

-- Additional comment from thoger@pobox.sk on 2007-01-13 07:34 EST --
What about trying modular approach instead of extending dependency chain? 
Debian Postfix packages have separate subpackage for each map type with extra
dependencies, so there's base postfix package and -pcre, -ldap, -mysql and
-pgsql subpackages.  However, I'm not sure if it's possible to achieve this
without extra patch.

Is there any good reason for not trying this approach in Fedora and RHEL?

I guess this comment also affects #180579 with similar request for PostgreSQL.

-- Additional comment from elio@tondo.it on 2007-06-02 08:56 EST --
I see that the situation is unchanged also in F7.

Are there any plans to include MySQL maps support in Postfix?

Elio


-- Additional comment from eric@brouhaha.com on 2007-06-02 18:26 EST --
It seems that submitting bugs or feature requests into Bugzilla does not push
this forward, nor does discussion on the Fedora list, regardless of how much
justification we provide.  Is there some more appropriate forum where those of
us that need this issue can make our case and actually get some discussion of
it, rather than a knee-jerk response of "we can't do that, because it adds a
dependency on mysql"?


-- Additional comment from tim@behrsin.com on 2007-06-04 16:49 EST --
I'd like a separate package for postfix-mysql, I don't like the idea of bloating
postfix rpm itself. Has anyone got the time to work on a patch for the source rpm?

I'd be willing to do this myself, but don't have the time right now.

-- Additional comment from eric@brouhaha.com on 2007-06-04 17:11 EST --
MySQL support won't "bloat" the postfix package.  It adds a trivial contribution
to the package size.

The dependency it introduces does use 6MB of disk space.  However, many other
packages are already dependent on mysql, so in most cases that will not be an
increase.  Anyhow, it does not require that mysql actually be configured or that
a database is actually running, unless the user configures postfix to actually
use mysql maps.  So the impact on a user that doesn't need mysql support is only
the 6MB of disk space.  This seems like a small price to pay in order to greatly
simplify things for users running a postfix mail server.

The problem with creating a separate postfix-mysql package is that there is no
simple way to do it that doesn't result in postfix being dependent on
postfix-mysql, which would still have the dependency on mysql.


-- Additional comment from elio@tondo.it on 2007-06-04 17:17 EST --
Actually the addition of MySQL support is already in the Postfix SRPM, it's only
a flag in the specs file. At least it was this way on FC4, and I don't think
that anybody changed it. This is the reason why I am wondering why that flag is
not switched on by default. As an example, dovecot already has a dependence on
the MySQL library in its standard RPM.

Elio


-- Additional comment from eric@brouhaha.com on 2007-06-04 17:26 EST --
Yes, and turning on that flag is all that we've been asking for.

I'm really getting tired of having to rebuild Postfix after every time there's a
new release of the package.  And all because somebody, somewhere, apparently
thinks it is a bad idea, but hasn't put forth any concrete reasons.


-- Additional comment from twoerner@redhat.com on 2007-06-05 07:17 EST --
Please have a look at postfix-2.4.3-1.fc7 in F7 testing.

-- Additional comment from fedora@leemhuis.info on 2007-06-07 01:25 EST --
(In reply to comment #3)
> I
> strongly disagree with the notion that it would be a problem for users to have
> to "install" MySQL to use Postfix.  [...]

Well, I saw it when I ran "yum update" and immediately hit "CTRL + C" and
thought "what was that for a shit again; I don't want to get all that mysql
stuff install" (I didn't know that it were just thy mysql libs and client stuff
back then before reading this bug).

I assume many other will do the same and this has potential for a heated
discussion on the mailing lists. I'd say it would be best to have that
discussion before this update hits updates-proper.

-- Additional comment from tim@behrsin.com on 2007-06-07 02:43 EST --
How does Debian split the packages into postfix and postfix-mysql?

-- Additional comment from thoger@pobox.sk on 2007-06-07 03:21 EST --
(In reply to comment #14)
> How does Debian split the packages into postfix and postfix-mysql?

Debian version uses extra patch to achieve that.  Support for various maps is
not compiled-in directly, but there's extra shared library built for each map
backend.  Those libs are loaded in runtime and can easily be packaged into
multiple packages.

-- Additional comment from twoerner@redhat.com on 2007-06-08 12:41 EST --
This patches are totally unsupported by upstream.

-- Additional comment from updates@fedoraproject.org on 2007-06-14 11:47 EST --
postfix-2.4.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If
problems still persist, please make note of it in this bug report.

-- Additional comment from thoger@pobox.sk on 2007-06-14 12:18 EST --
According to changelog, 2.4.3-2 re-disabled mysql support, which was enabled in
2.4.3-1, so this bug was probably closed by mistake (or changelog references
incorrect bug or changelog entry is incorrect ;).

Thomas, can you provide more info in addition to your comment #16?  Yes, you're
right, Wietse most likely does not support dynamic maps patch.  Do you know if
there are any plans to merge it upstream in some future version or whether
strict "no" was said and why?  It seems that many major binary distros use it.

-- Additional comment from twoerner@redhat.com on 2007-06-14 12:58 EST --
The debian patches are not working with all supported architectures of postfix.
And they are big.

-- Additional comment from elio@tondo.it on 2007-06-15 05:11 EST --
Coming back to the first issue in comment #16, can you tell us why MySQL maps
support has been enabled in 2.4.3-1 and disabled again in 2.4.3-1?

-- Additional comment from elio@tondo.it on 2007-06-15 05:13 EST --
sorry, 2.4.3-2...

-- Additional comment from elio@tondo.it on 2007-06-15 05:15 EST --
well, it looks like I am unable to write two lines without at least a mistake
this morning... I rewrite the whole message again, sorry for the inconvenience:

Coming back to the first issue in comment #18, can you tell us why MySQL maps
support has been enabled in 2.4.3-1 and disabled again in 2.4.3-2?

-- Additional comment from twoerner@redhat.com on 2007-06-15 09:00 EST --
Enabling MySQL support meanst to compile against MySQL, which adds a dependency
chain to the package. There is no upstream supported way to build it as a module.

BTW: There are requests to build also with PostgreSQL support...

-- Additional comment from eric@brouhaha.com on 2007-06-15 13:42 EST --
Yes, it adds a dependency chain.  So?  Other packages depend on MySQL, yet the
MySQL support in those packages does not get disabled in order to remove a
dependency chain.

-- Additional comment from nerijus@users.sourceforge.net on 2007-06-16 17:34 EST --
1. Dovecot (POP3/IMAP server) already depends on mysql.
2. Postfix would depend on mysql-libs package only, not on mysql-server.
3. I am sure more people would be happier than unhappier if postfix starts
supporting mysql.

-- Additional comment from twoerner@redhat.com on 2007-06-18 05:07 EST --
*** Bug 244555 has been marked as a duplicate of this bug. ***

-- Additional comment from eric@brouhaha.com on 2007-06-18 05:28 EST --
Reopening bug, as the MySQL map support was removed again, so it is not resolved.

-- Additional comment from martin@gamesplace.info on 2007-06-21 07:33 EST --
Debian provides two packages, postfix and postfix-mysql. Former is compiled
without mysql support, latter is compiled with mysql support. 

Maybe this would be a better way to add mysql support.

-- Additional comment from thoger@pobox.sk on 2007-06-21 07:42 EST --
(In reply to comment #28)
> Debian provides two packages, postfix and postfix-mysql. Former is compiled
> without mysql support, latter is compiled with mysql support. 

No Martin, it's not done that way.  As discussed in previous comments for this
bug, postfix is main package and postfix-mysql only provide few files, which add
mysql support.  Dynamic maps patch makes that possible.

You can find listing of files included in Debian's postfix-mysql package on
packages.debian.org:

http://packages.debian.org/cgi-bin/search_contents.pl?searchmode=filelist&word=postfix-mysql&version=stable&arch=i386

-- Additional comment from martin@gamesplace.info on 2007-06-21 07:53 EST --
Uh oh. I am sorry, I didn't read all the comments carefully.

Anyway, it would be nice to have MYSQL supporting Postfix packages in Fedora ;)

-- Additional comment from nerijus@users.sourceforge.net on 2007-06-21 08:13 EST --
But it's quite a good idea, to have 2 (or even 3 - with pgsql support) packages
- postfix and postfix-mysql. postfix would be the current package, and
postfix-mysql could be the full postfix package with mysql support. If a user
installs postfix-mysql, postfix should be uninstalled and vice versus.

-- Additional comment from lfarkas@lfarkas.org on 2007-07-18 09:26 EST --
imho on a server which runs postfix the mysql client side 2.5MB doesn't matter.
and anyway who, where which spec denied to add further dependencies?

-- Additional comment from ksorensen@nordija.com on 2007-09-17 15:37 CEST --

Cloning since this bug also affects RHEL 4. I really can't see the problem og
including mysql-support to postfix. As other people have mentioned, its just a
matter og changing a single entry in the spec-file. And I can't see that adding
a dependency on the mysql _client_ libraries should be any problem.  Please fix
this problem, and stop ignoring your paying customers!

What makes LDAP so different from mysql? Postfix already ships with an
LDAP-dependency. Apparently this is no problem, but adding a mysql dependency
apparently requires a long discussion, before anyone just considers fixing the
problem.

--- Additional comment from jbaker@wgm.us on 2009-01-05 15:37:27 EDT ---

I have 3 different Fedora servers running with Postfix and MySQL.  It is a pain to do the upgrade, then recompile postfix, on every server, then disable postfix updates in yum.conf so it doesn't get overwritten.  Two of my servers are on FC8 still and one on FC7 because I don't want to take the time to fight with the recompile (not that it's difficult, just a pain - I can't run preupgrade-cli and set to reboot in the middle of the night, for example, because then the mail server will crash until I can get a chance to recompile postfix)

Please, please, please, for the love of God and all that is holy, put MySQL support in the default package for postfix!

--- Additional comment from thoger@pobox.sk on 2009-01-06 07:32:29 EDT ---

(In reply to comment #1)
> Please, please, please, for the love of God and all that is holy, put MySQL
> support in the default package for postfix!

Fedora 9 and later is compiled with MySQL support by default, as mentioned in the original bug:
  https://bugzilla.redhat.com/show_bug.cgi?id=185515#c39
Comment 1 Jon Baker 2009-05-26 11:24:46 EDT
Thank you, thank you, thank you, this made my transition to FC10 sooooo much easier.
Comment 2 RHEL Product and Program Management 2009-11-06 14:01:32 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2010-08-09 15:09:25 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2011-05-31 10:29:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2011-09-22 20:14:14 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-04-02 06:22:11 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 12 Jaroslav Škarvada 2012-06-28 04:20:48 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update MySQL support was not included in postfix. Now the support is included.
Comment 13 Jaroslav Škarvada 2012-08-20 11:41:12 EDT
According to review of current RHEL-5 deployment guide, simple notice about MySQL support should be enough (no example is needed).
Comment 17 errata-xmlrpc 2013-01-08 02:27:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0054.html

Note You need to log in before you can comment on or make changes to this bug.